Bug 6977 - Support for repeated subfields when importing an authority into a biblio record field.
Summary: Support for repeated subfields when importing an authority into a biblio reco...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Target Milestone: ---
Assignee: Frédérick Capovilla
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-05 17:58 UTC by Frédérick Capovilla
Modified: 2013-12-05 19:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Adds support for repeatable subfields when importing authorities. (6.63 KB, patch)
2011-10-05 17:58 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Adds support for repeatable subfields when importing authorities. (6.79 KB, patch)
2011-10-08 16:16 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Adds support for repeatable subfields when importing authorities. (6.80 KB, patch)
2011-10-12 13:13 UTC, Paul Poulain
Details | Diff | Splinter Review
Follow-up patch : catch CloneSubfield errors (2.51 KB, patch)
2011-10-21 16:33 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6977: Follow-up patch : catch CloneSubfield errors (2.58 KB, patch)
2011-11-11 15:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2011-10-05 17:58:36 UTC Comment hidden (obsolete)
Comment 1 Frédérick Capovilla 2011-10-05 17:59:25 UTC
Sponsored by the CCSR ( http://www.ccsr.qc.ca )
Comment 2 Jared Camins-Esakov 2011-10-08 16:07:20 UTC
This is a pretty big bug for MARC21 users. Upgrading the severity to reflect that.
Comment 3 Jared Camins-Esakov 2011-10-08 16:16:55 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2011-10-08 16:17:45 UTC
This patch does not fix the ordering of subfields drawn from authority records, but it does not claim to, and just having working repeated subfields is a huge improvement, so I'm happy to sign off.
Comment 5 Paul Poulain 2011-10-12 13:13:18 UTC
Created attachment 5851 [details] [review]
Adds support for repeatable subfields when importing authorities.

Before this patch, if we tried to import an authority with multiple $x
subfields into a bibliographic record, only the last value get added
to the form.

All repeated values should now be sent to the form.

http://bugs.koha-community.org/show_bug.cgi?id=6977
Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 6 Paul Poulain 2011-10-12 13:15:38 UTC
QA comment
The test plan is:
  - create an authority with repeated subfields
  - add biblio
  - retrieve authority through authority search
  - the repeated subfields are now correctly retrieved in the biblio

* Tested under UNIMARC, works fine as well
* no specific QA comment

=> passed QA
Comment 7 Ian Walls 2011-10-12 14:18:57 UTC
Also works continues to work with authorities WITHOUT repeated subfields.  As Jared points out, it does not do anything about field order, but it does not purport to.  Marking a Passed QA.
Comment 8 Chris Cormack 2011-10-12 22:08:28 UTC
Minor string changes, but fairly major bug, pushing as string changes are only on staff side
Comment 9 Frédérick Capovilla 2011-10-21 16:33:32 UTC Comment hidden (obsolete)
Comment 10 Nicole C. Engard 2011-11-11 15:32:25 UTC
Created attachment 6285 [details] [review]
[SIGNED-OFF] Bug 6977: Follow-up patch : catch CloneSubfield errors

A javascript error could occur if the CloneSubfield function failed for
any reason. This would prevent the popup from disappearing.

Example : Importing informations of a UNIF_TITLE authority with multiple
$x subfields in the biblio's 440 field. 440$x isn't repeatable, so an
error occurs when trying to clone it.
Comment 11 Nicole C. Engard 2011-11-11 15:32:42 UTC
nengard@debian:~/kohaclone$ git bz apply 6977
Bug 6977 - Support for repeated subfields when importing an authority into a biblio record field.

Adds support for repeatable subfields when importing authorities.
Apply? [yn] y

Applying: Adds support for repeatable subfields when importing authorities.
/home/nengard/kohaclone/.git/rebase-apply/patch:64: trailing whitespace.
      
/home/nengard/kohaclone/.git/rebase-apply/patch:96: trailing whitespace.
            
/home/nengard/kohaclone/.git/rebase-apply/patch:120: trailing whitespace.
            
error: patch failed: authorities/blinddetail-biblio-search.pl:80
error: authorities/blinddetail-biblio-search.pl: patch does not apply
error: patch failed: koha-tmpl/intranet-tmpl/prog/en/modules/authorities/blinddetail-biblio-search.tt:11
error: koha-tmpl/intranet-tmpl/prog/en/modules/authorities/blinddetail-biblio-search.tt: patch does not apply
Patch failed at 0001 Adds support for repeatable subfields when importing authorities.
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/Adds-support-for-repeatable-subfields-when-importi-x8B4fU.patch
nengard@debian:~/kohaclone$
Comment 12 Nicole C. Engard 2011-11-11 15:38:14 UTC
Ooops - sorry about my last comment that was when i tried to apply paul's patch which was pushed already.  This is signed off.
Comment 13 Paul Poulain 2011-11-18 21:46:47 UTC
follow-up patch OK, pushed, please test
Comment 14 Jared Camins-Esakov 2012-05-23 12:02:46 UTC
Included in 3.6 prior to 3.6.5.